#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-278.000000" y="7.000000">
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <Node name="node_CvfdWebcam_1" type="CvfdWebcam" x="-460.000000" y="7.000000">
      <Parameter name="INDEX" type="int" value="-1" description="Index of the camera to be used. If there is only one camera or it does not matter what camera to use -1 may be passed."/>
    </Node>
    <Link from="node_CvfdWebcam_1" output="VIDEO" to="node_LOOP0_1" input="VIDEO"/>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
    <NetOutput name="OUTPUT" node="node_LOOP0_1" terminal="OUTPUT" object_type="any" description="No description available"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="292.000000" y="39.000000">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Node name="node_CvfdhDrawSrcRoi_1" type="CvfdhDrawSrcRoi" x="118.000000" y="39.000000">
      <Parameter name="WINDOW_COLOUR" type="object" value="&lt;Vector&lt;int&gt; 0 0 0&gt;" description="RGB window colour setting [0 - 255]"/>
      <Parameter name="WINDOW_THICKNESS" type="int" value="1" description="Window line thickness"/>
      <Parameter name="CENTER_COLOUR" type="object" value="&lt;Vector&lt;int&gt; 0 0 0&gt;" description="RGB center point colour setting [0 - 255]"/>
      <Parameter name="CENTER_THICKNESS" type="int" value="1" description="Center point line thickness"/>
    </Node>
    <Node name="node_CvfdQueryFrame_1" type="CvfdQueryFrame" x="-468.000000" y="38.000000"/>
    <Node name="node_CvfdhSrcInfoTracker_1" type="CvfdhSrcInfoTracker" x="50.000000" y="180.000000">
      <Parameter name="USE_ROI_SIZE" type="bool" value="false" description="Use ROI selection with respect to ROI_SIZE."/>
      <Parameter name="ROI_SIZE" type="object" value="&lt;Vector&lt;int&gt; 10 10&gt;" description="Enable elimination of ROIs with respect to ROI size (width * height). This is a 2D vector representing [maximum minimum] size of the ROI selection. Use 0 to disable one."/>
      <Parameter name="USE_ASPECT_RATIO" type="bool" value="false" description="Use ROI selection with respect to ASPECT_RATIO."/>
      <Parameter name="ASPECT_RATIO" type="object" value="&lt;Vector&lt;float&gt; 0.0 0.0&gt;" description="Enable elimination of ROIs with respect to ROI aspect ratio (height / width). This is a 2D vector representing [maximum minimum] ratio of ROIs. Use 0 to disable one."/>
      <Parameter name="USE_PAUSE_LENGTH" type="bool" value="true" description="Use ROI selection with respect to PAUSE_LENGTH."/>
      <Parameter name="PAUSE_LENGTH" type="float" value="100.0" description="Life duration of source in frame num."/>
      <Parameter name="USE_MIN_SRC_INTERVAL" type="bool" value="true" description="Use ROI selection with respect to MIN_SRC_INTERVAL."/>
      <Parameter name="MIN_SRC_INTERVAL" type="float" value="100.0" description="Source euclid diatance interval threshold in pixels."/>
      <Parameter name="ENABLE_DEBUG" type="bool" value="false" description="Output debug information if true"/>
    </Node>
    <Node name="node_CvfdhCameraSpecSetter_1" type="CvfdhCameraSpecSetter" x="-165.000000" y="121.000000">
      <Parameter name="VIEW_ANGLE" type="object" value="&lt;Vector&lt;float&gt; 40.0 30.0&gt;" description="Vertical and horizontal view angle of the camera"/>
      <Parameter name="TRANS_OFFSET" type="object" value="&lt;Vector&lt;float&gt; 0.0 0.0&gt;" description="Vertical and horizontal offset for image transformation"/>
      <Parameter name="TRANS_OFFSET_SCALE" type="object" value="&lt;Vector&lt;float&gt; 1.0 1.0&gt;" description="Vertical and horizontal offset scale for image transformation"/>
      <Parameter name="RADIUS_SCALE" type="float" value="1.0" description="Radius scale term for the image transformation"/>
      <Parameter name="CAMERA_POS" type="object" value="&lt;Vector&lt;float&gt; 0.0 0.0 0.0&gt;" description="Camera position from the base"/>
    </Node>
    <Node name="node_CvfdhSrcInfoFormatConverter_1" type="CvfdhSrcInfoFormatConverter" x="369.000000" y="136.000000"/>
    <Node name="node_DisplayLocalization_1" type="DisplayLocalization" x="640.000000" y="129.000000">
      <Parameter name="WINDOW_LENGTH" type="int" value="1000" description="Window length to show at the same time [sample]"/>
    </Node>
    <Node name="node_CvfdhCondensation_1" type="CvfdhCondensation" x="-171.000000" y="180.000000">
      <Parameter name="N_PARTICLE" type="int" value="4000" description="Number of paticles"/>
      <Parameter name="N_STATES" type="int" value="4" description="Number of states"/>
      <Parameter name="SRC_TYPE" type="string" value="COG" description="Output source format"/>
      <Parameter name="ROI_SIZE" type="int" value="20" description="Size of ROI for each source. If 0, default setting is loaded."/>
      <Parameter name="TARGET_COLOR" type="object" value="&lt;Vector&lt;float&gt; 0 0 255&gt;" description="BGR color setting for tracking target. This is a 3D float vector which contains 0-255."/>
    </Node>
    <Link from="node_CvfdhDrawSrcRoi_1" output="IMAGEOUT" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhDrawSrcRoi_1" input="IMAGEIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhCameraSpecSetter_1" input="IMAGEIN">-359 30.5 -268 31 -268 120 -249.5 121 </Link>
    <Link from="node_CvfdhSrcInfoTracker_1" output="SRCOUT" to="node_CvfdhSrcInfoFormatConverter_1" input="SRCINFO">120 180 156 180 156 136 200 136 </Link>
    <Link from="node_CvfdhSrcInfoFormatConverter_1" output="SOURCE" to="node_DisplayLocalization_1" input="SOURCES"/>
    <Link from="node_CvfdhCameraSpecSetter_1" output="CAMSPEC" to="node_CvfdhSrcInfoFormatConverter_1" input="CAMSPEC"/>
    <Link from="node_CvfdhCondensation_1" output="SRCOUT" to="node_CvfdhSrcInfoTracker_1" input="SRCIN"/>
    <Link from="node_CvfdhCondensation_1" output="SRCOUT" to="node_CvfdhDrawSrcRoi_1" input="SRCIN">-102.5 180 -55 180 -55 47 -5 46.5 </Link>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhCondensation_1" input="IMAGEIN">-359 30.5 -267 31 -267 180 -239.5 180 </Link>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="CvfdImage" description="Same as input image"/>
    <NetCondition name="CONDITION" node="node_CvfdQueryFrame_1" terminal="BOOL"/>
    <NetInput name="VIDEO" node="node_CvfdQueryFrame_1" terminal="VIDEO" object_type="CvfdVideo" description="Video capturing structure"/>
    <NetOutput name="OUTPUT" node="node_DisplayLocalization_1" terminal="OUTPUT" object_type="Vector&lt;ObjectRef&gt;" description="The same as input."/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
</Document>
